> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create dataset

> Creates a dataset. 
A dataset is a collection of data sources organized for specific purposes. You can create multiple datasets to group and store data sources based on different needs.



## OpenAPI

````yaml post /v1/team/datasets
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/datasets:
    post:
      tags:
        - Dataset
      summary: Create dataset
      description: >-
        Creates a dataset. 

        A dataset is a collection of data sources organized for specific
        purposes. You can create multiple datasets to group and store data
        sources based on different needs.
      parameters:
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The dataset name.
                description:
                  type: string
                  description: The dataset description.
                userId:
                  type: string
                  description: >-
                    Your user ID. 


                    How to obtain your user ID: Sign in to Powerdrill
                    Enterprise, click **Users** in the top navigation bar, and
                    find your user ID in the list of users.
              required:
                - name
                - userId
            example:
              name: My dataset
              description: my default dataset
              userId: tmm-cm5m7khoz52zh07n4m7x1ut60
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The dataset ID.
                    required:
                      - id
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      id: dataset-adsdfasafdsfasdgasd
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````